Name: squidclamav
Version: 3.7
Release: alt0.1

Summary: Squid ClamAV, is a Squid helper Script, to get Virus scanning for defined Extensions
License: GPLv2
Group: Monitoring
Url: http://www.samse.fr/GPL/squidclamav/
Source0: http://www.samse.fr/GPL/squidclamav/%name-%version.tar.gz
Source1: squidclamav-README.koi8-r
Source2: squidclamav-README.utf8

Requires: clamav squid ScriptAlias perl-CGI

# Automatically added by buildreq on Fri Jun 22 2007 (-bi)
BuildRequires: libcurl-devel

%description
SquidClamAV is a Squid helper script which adds virus scanning
for defined filename extensions. It has been tested with ClamAV,
and Squid. Squid has to be configured to use "redirect_program"
and to either deny access to a URL defined in the SquidClamAV
configuration or to redirect to a remote Site which displays
an error (and some information). SquidClamAV handles the request
as given from Squid, downloads the URL, and scans it for known
viruses. It rewrites the URL from Squid to a blocked URL or an
information page with information about the scanning results.

%prep
%setup

%build
%configure
%make_build

%install
%__mkdir_p %buildroot%_sysconfdir
%__install -m644 %SOURCE1 README.koi8-r
%__install -m644 %SOURCE2 README.utf8
%__install -Dp -m 0644 squidclamav.conf.dist %buildroot%_sysconfdir/squidclamav.conf
%makeinstall

%files
%doc INSTALL COPYING ChangeLog clwarn.cgi* *README*
%_bindir/*
%_sysconfdir/squidclamav.conf

%changelog
* Thu Oct 23 2008 Motsyo Gennadi <drool@altlinux.ru> 3.7-alt0.1
- New version

* Wed May 07 2008 Motsyo Gennadi <drool@altlinux.ru> 3.5-alt0.1
- New version
- Added README in UTF8

* Thu Nov 08 2007 Motsyo Gennadi <drool@altlinux.ru> 3.2-alt1
- New version

* Mon Oct 08 2007 Grigory Fateyev <greg@altlinux.ru> 3.1-alt1
- New version for Sisyphus

* Fri Jun 22 2007 Grigory Fateyev <greg@altlinux.ru> 3.0-alt1.M30
- Initial build for ALC 3.0
